$Client_Post_Command_Handler{'toolbarstatepresence'}{'toolbarstatepresencegetcustompause'} = sub {
    my @allreturn = ();
    my $origen   = shift;
    my $destino  = shift;
    my $contexto = shift;
    my $socket   = shift;

    my $exten   = main::get_btn_config( "$contexto", $destino, 'EXTENSION');
    my $channel = main::get_btn_config( "$contexto", $destino, 'MAINCHANNEL');

    $return  = "Action: DBGet\r\n";
    $return .= "Family: PAUSECUSTOM\r\n";
    $return .= "Key: AGENT/$exten\r\n";
    $return .= "ActionId: getvar!PAUSECUSTOM/$exten/$destino!$channel!$contexto\r\n";
    $return .= "\r\n";
    push @allreturn, $return;

    return @allreturn;
};

$AMI_Event_Handler{'toolbarstatepresence'}{'DIALSTATE'} = sub {
    my $event = shift;
    my @allreturn;
    my $dialstate = ${$event}{ChannelStateDesc};
    my $canal = FOP2::utils::get_channel(${$event}{Channel});

    $return  = "Action: UserEvent\r\n";
    $return .= "UserEvent: state\r\n";
    $return .= "Channel: $canal\r\n";
    $return .= "Family: state\r\n";
    $return .= "Value: $dialstate\r\n";
    $return .= "\r\n";
    push @allreturn, $return;
    return @allreturn;
};

$AMI_Event_Handler{'toolbarstatepresence'}{'CHANSPYSTART'} = sub {
    my $event = shift;
    my @allreturn;
    my $spyee = ${$event}{SpyeeCallerIDNum};
    my $canal = FOP2::utils::get_channel(${$event}{SpyerChannel});
    $return  = "Action: UserEvent\r\n";
    $return .= "UserEvent: spystart\r\n";
    $return .= "Channel: $canal\r\n";
    $return .= "Family: spystart\r\n";
    $return .= "Value: $spyee\r\n";
    $return .= "\r\n";
    push @allreturn, $return;
    return @allreturn;
};

$AMI_Event_Handler{'toolbarstatepresence'}{'CHANSPYSTOP'} = sub {
    my $event = shift;
    my @allreturn;
    my $spyee = ${$event}{SpyeeCallerIDNum};
    my $canal = FOP2::utils::get_channel(${$event}{SpyerChannel});
    $return  = "Action: UserEvent\r\n";
    $return .= "UserEvent: spystop\r\n";
    $return .= "Channel: $canal\r\n";
    $return .= "Family: spystop\r\n";
    $return .= "Value: $spyee\r\n";
    $return .= "\r\n";
    push @allreturn, $return;
    return @allreturn;
};

$AMI_Event_Handler{'toolbarstatepresence'}{'MEETMEJOIN'} = sub {
    my $event = shift;
    my @allreturn;
    my $conference = ${$event}{Conference};
    my $canal = FOP2::utils::get_channel(${$event}{Channel});
    $return  = "Action: UserEvent\r\n";
    $return .= "UserEvent: conference\r\n";
    $return .= "Channel: $canal\r\n";
    $return .= "Family: conference\r\n";
    $return .= "Value: $conference\r\n";
    $return .= "\r\n";
    push @allreturn, $return;
    return @allreturn;
};

$AMI_Event_Handler{'toolbarstatepresence'}{'ORIGINATERESPONSE'} = sub {
    my $event = shift;
    my @allreturn;
    my $app = ${$event}{Application};
    my $canal = FOP2::utils::get_channel(${$event}{Channel});
    my $data = ${$event}{Data};
    if($app =~ /ChanSpy/i) {
        my @partes = split(/,/,$data);
        if($partes[1] =~ /w/) {
            $return  = "Action: UserEvent\r\n";
            $return .= "UserEvent: whisper\r\n";
            $return .= "Channel: $canal\r\n";
            $return .= "Family: whisper\r\n";
            $return .= "Value: whisper\r\n";
            $return .= "\r\n";
            push @allreturn, $return;
            return @allreturn;
        }
    }
};

