plugins['toolbarstatepresence'] = (function() {

    var widget_template = pluginconfig['toolbarstatepresence']['widget_template'][''];
    var saved_presence_var={};
    var timers={};
    var intervaltimer;
    var iswhisper=0;

    return {

        loadLang: function(values) {
            var hash = hex_md5(secret+lastkey);
            queuedcommand = "<msg data=\"" + myposition + "|pluginlang|" + language + "~toolbarstatepresence" + "|" + hash + "\" />";
            sendcommand();
        },
        setLang: function() {
            var passedvar = saved_presence_var;
            if(!('PAUSED_STATUS' in passedvar)) {
                passedvar['PAUSED_STATUS']='';
                passedvar['PAUSED_COLOR']= '';
                passedvar['PAUSED_TIMER']='<span id="tickpause_toolbarstatepresence">00:00:00</span>';
                passedvar['NAME']=botonitos[myposition].LABEL;

            } else {
                if (lang.hasOwnProperty(passedvar['PAUSED_STATUS'])) {
                    passedvar['PAUSED_STATUS'] = lang[passedvar['PAUSED_STATUS']];
                }
            }

            if(!('STATE_STATUS' in passedvar)) passedvar['STATE_STATUS']='';
            if(!('STATE_TIMER' in passedvar)) passedvar['STATE_TIMER']='<span id="tickstate_toolbarstatepresence">00:00:00</span>';

            passedvar['LANG']=lang;

            dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                $('#toolbarstatepresence_paused_status').html(out);
            });

            saved_presence_var = JSON.parse(JSON.stringify(passedvar));
        },
        callback_qualify: function(nro,texto,slot) {
            if(myposition==nro) {
                var passedvar = saved_presence_var;
                if(texto=='notok') {
                    passedvar['STATE_STATUS']='unregistered';
                } else {
                    passedvar['STATE_STATUS']='';
                }

                var tDate = new Date();
                timers['tick_toolbarstatepresence_state']=tDate.getTime();

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
            }
        },
        callback_presence: function(nro,texto,slot) {
            if(nro==myposition) {
                var passedvar = saved_presence_var;
                var tDate = new Date();
                if(texto=='') {
                    delete timers['tick_toolbarstatepresence_pause'];
                    $('#tickpause_toolbarstatepresence').text('');
                    preason='';
                    timers['tick_toolbarstatepresence_state']=tDate.getTime();
                    passedvar['STATE_TIMER']='<span id="tickstate_toolbarstatepresence">00:00:00</span>';
                } else {
                    delete timers['tick_toolbarstatepresence_state'];
                    preason='paused';
                    timers['tick_toolbarstatepresence_pause']=tDate.getTime();
                    passedvar['PAUSED_TIMER']='<span id="tickpause_toolbarstatepresence">00:00:00</span>';
                }
                passedvar['PAUSED_STATUS']=preason;

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_conference: function(nro,texto,slot) {
            if(myposition==nro) {
                var passedvar = saved_presence_var;
                passedvar['STATE_STATUS']='conference';

                var tDate = new Date();
                timers['tick_toolbarstatepresence_state']=tDate.getTime();

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_spystart: function(nro,texto,slot) {
            if(myposition==nro) {
                var passedvar = saved_presence_var;
                if(iswhisper==1) {
                    passedvar['STATE_STATUS']='whisper';
                } else {
                    passedvar['STATE_STATUS']='spy';
                }

                var tDate = new Date();
                timers['tick_toolbarstatepresence_state']=tDate.getTime();

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_spystop: function(nro,texto,slot) {
            if(myposition==nro) {
                iswhisper=0;
                var passedvar = saved_presence_var;
                passedvar['STATE_STATUS']='';

                var tDate = new Date();
                timers['tick_toolbarstatepresence_state']=tDate.getTime();

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_state: function(nro,texto,slot) {
            if(myposition==nro) {
                iswhisper=0;
                var passedvar = saved_presence_var;
                passedvar['STATE_STATUS']=texto;

                var tDate = new Date();
                timers['tick_toolbarstatepresence_state']=tDate.getTime();
                passedvar['STATE_TIMER']='<span id="tickstate_toolbarstatepresence">00:00:00</span>';

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_whisper: function(nro,texto,slot) {
            if(myposition==nro) {
                iswhisper=1;
            }
        },
        callback_getvar: function(nro,texto,slot) {

             textodecoded = Base64.decode(texto);
             partes = textodecoded.split("~");
             pertes = partes[0].split("/");
             var entity = pertes[0];
             var pos = pertes[2];
             pertes = partes[1].split(":");
             var preason = pertes[0];
             var tstamp = pertes[1];

             if(entity=='PAUSECUSTOM' && myposition==pos) {

                var tDate = new Date();

                var passedvar = saved_presence_var;

                if(typeof(passedvar['STATE_STATUS'])=='undefined') {
                    // Asume down state if not set
                    passedvar['STATE_STATUS']='DOWN';
                }

                if (typeof(presence[preason]) == 'undefined') {
                    passedvar['PAUSED_COLOR']='#00d020';
                    passedvar['PAUSED_COLOR']='#FFFFFF';
                } else {
                    passedvar['PAUSED_COLOR']=presence[preason];
                }

                if (lang.hasOwnProperty(preason)) {
                    preason = lang[preason];
                }

                if(preason!='ERROR') {
                    passedvar['PAUSED_STATUS']=preason;
                    passedvar['PAUSED_TIMER']='<span id="tickpause_toolbarstatepresence">00:00:00</span>';
                } else {
                    tstamp = parseInt(tDate.getTime()/1000);
                }

                if(passedvar['PAUSED_STATUS']=='') {
                    delete timers['tick_toolbarstatepresence_pause'];
                    $('#tickpause_toolbarstatepresence').text('');
                } else {
                    timers['tick_toolbarstatepresence_pause']=parseInt(tstamp)*1000;
                }


                passedvar['LANG']=lang;
                passedvar['NAME']=botonitos[myposition].LABEL;

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });

                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
             }
        },
        callback_xstatus: function(nro,texto,slot) {
            if(nro==myposition) {
                var passedvar = saved_presence_var;

                if(texto=='unpaused') {

                    delete timers['tick_toolbarstatepresence_pause'];
                    $('#tickpause_toolbarstatepresence').text('');

                    passedvar['PAUSED_STATUS']='';

                } else {

                    var tDate = new Date();
                    timers['tick_toolbarstatepresence_pause']=tDate.getTime();

                    if(texto=='') {
                        preason='paused';
                    } else {
                        preason=texto;
                    }
                    passedvar['PAUSED_STATUS']=preason;
                    passedvar['PAUSED_TIMER']='<span id="tickpause_toolbarstatepresence">00:00:00</span>';
                }

                dust.render("toolbarstatepresencepausestatus", passedvar, function(err, out) {
                    $('#toolbarstatepresence_paused_status').html(out);
                });
                saved_presence_var = JSON.parse(JSON.stringify(passedvar));
            }
        },
        callback_zbuttons: function() {
            if($('#toolbarstatepresence_paused_status').length<=0) {
                var newklon = $('<div id="toolbarstatepresence_paused_status">hla</div>');
                var actionbar = $('.navinputpresence');
                actionbar.before(newklon);
            }
            send("<msg data=\"GENERAL|toolbarstatepresencegetcustompause|" + myposition + "|\" />");

        },
        update_timers: function() {
            var tDate = new Date();
            for (var j in timers) {

                var miparte = j.split("_");
                var i = miparte[1];
                var slot = miparte[2];
                var tick = $("#tick" + slot + "_" + i);

                elapsedTime = tDate.getTime() - timers[j];
                sec = elapsedTime / 1000;
                seconds = this.pad(parseInt(++sec % 60));
                minutes = this.pad(parseInt(sec / 60, 10) % 60);
                hours = this.pad(parseInt(sec / 3600, 10));
                tick.text(hours+':'+minutes+':'+seconds);
            }
        },
        pad: function(val) {
            return val > 9 ? val : "0" + val;
        },
        init: function() {
            compiled = dust.compile(Base64.decode(widget_template),"toolbarstatepresencepausestatus");
            dust.loadSource(compiled);

            clearInterval(intervaltimer);
            intervaltimer = setInterval(function () {
                plugins['toolbarstatepresence'].update_timers();
            }, 1000);
        },

    }
}());
